{"endpoints":{"GET /":{"Description":"Serves a list of available endpoints."},"POST /royal-mail/labels":{"Description":"Takes JSON object of FMP data, parses it into a format acceptable to the Royal Mail API, contacts the API and creates orders on Click & Drop. Customer, address and order no. fields are required from the FMP record. The rest is provided by the FMP script.","Example input":{"mailing":{"customer":"Gilbert & Sullivan Operettas Ltd","orderedBy":"Arthur Sullivan","address":"Buckingham Palace\rLondon SW1A 1AA","orderNo":"PINA4","emailAddress":"valid@email-address.net"}},"Example successful response":{"status":201,"response body":{"success":true}},"Example error response if the error was generated on this API":{"status":400,"response body":{"errors":[{"orderNo":"order no. of failed order","reason":"error message"}]}},"Example error response if the error was generated on the Royal Mail API":{"status":400,"response body":{"errors":[{"errorCode":0,"errorMessage":"string","fields":[{"fieldName":"string","value":"string"}]}]}}},"POST /ups/labels":{"Description":"Takes JSON object of FMP data, parses it into a format acceptable to the UPS Shipping API, contacts the API and creates orders on UPS. Customer, address and order no. fields are required from the FMP record. The rest is provided by the FMP script."}}}